Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.bufferio
Class BufferLoadRequest

    java.lang.Object
      org.gjt.sp.util.WorkRequest
          org.gjt.sp.jedit.bufferio.BufferIORequest
              org.gjt.sp.jedit.bufferio.BufferLoadRequest

All Implemented Interfaces:
  java.lang.Runnable, ProgressObserver

    public class BufferLoadRequest

extends BufferIORequest

A buffer load request.

Field Summary

Fields inherited from class org.gjt.sp.jedit.bufferio.BufferIORequest
`buffer, END_OFFSETS, ERROR_OCCURRED, IOBUFSIZE, LOAD_DATA, markersPath, NEW_PATH, path, PROGRESS_INTERVAL, session, vfs, view`

Constructor Summary
`BufferLoadRequest(View view, Buffer buffer, java.lang.Object session, VFS vfs, java.lang.String path)` Creates a new buffer I/O request.

Method Summary
`void` | `run()`

Methods inherited from class org.gjt.sp.jedit.bufferio.BufferIORequest
`autodetect, getByteIOBufferSize, getCharIOBufferSize, read, toString, write`

Methods inherited from class org.gjt.sp.util.WorkRequest
`setAbortable, setMaximum, setProgressMaximum, setProgressValue, setStatus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BufferLoadRequest

    public BufferLoadRequest(View view,
                             Buffer buffer,
                             java.lang.Object session,
                             VFS vfs,
                             java.lang.String path)

  Creates a new buffer I/O request.

  Parameters:
    `view` - The view
    `buffer` - The buffer
    `session` - The VFS session
    `vfs` - The VFS
    `path` - The path

Method Detail

### run

    public void run()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD